# log4cplus::spi::RootLogger Class Reference

RootLogger sits at the top of the logger hierachy. More...

`#include <rootlogger.h>`

Inheritance diagram for log4cplus::spi::RootLogger:

[legend]
Collaboration diagram for log4cplus::spi::RootLogger:

[legend]
List of all members.

## Public Member Functions

| RootLogger (Hierarchy &h, LogLevel ll)
| The root logger names itself as "root".
virtual LogLevel | getChainedLogLevel () const
| Return the assigned LogLevel value without walking the logger hierarchy.
void | setLogLevel (LogLevel ll)
| Setting a NOT_SET_LOG_LEVEL value to the LogLevel of the root logger may have catastrophic results.

## Detailed Description

RootLogger sits at the top of the logger hierachy.

It is a regular logger except that it provides several guarantees.

First, it cannot be assigned a `NOT_SET_LOG_LEVEL` LogLevel. Second, since root logger cannot have a parent, the getChainedLogLevel method always returns the value of the ll field without walking the hierarchy.

Definition at line 35 of file rootlogger.h.

## Constructor & Destructor Documentation

log4cplus::spi::RootLogger::RootLogger | ( | Hierarchy & | h,
|  | LogLevel | ll
| ) |

| The root logger names itself as "root". However, the root logger cannot be retrieved by name.

## Member Function Documentation

virtual LogLevel log4cplus::spi::RootLogger::getChainedLogLevel | ( |  | ) | const`[virtual]`

| Return the assigned LogLevel value without walking the logger hierarchy. Reimplemented from log4cplus::spi::LoggerImpl.

void log4cplus::spi::RootLogger::setLogLevel | ( | LogLevel | ll | ) |

| Setting a NOT_SET_LOG_LEVEL value to the LogLevel of the root logger may have catastrophic results. We prevent this here. Reimplemented from log4cplus::spi::LoggerImpl.

The documentation for this class was generated from the following file:

- rootlogger.h